Percent distribution preview
curl --request POST \
--url https://api.nops.io/v1/cost-allocation/{id}/rules/dimension-preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dimension": "billing_account_name",
"costDistribution": {
"Production": 75,
"Staging": 25
}
}
'import requests
url = "https://api.nops.io/v1/cost-allocation/{id}/rules/dimension-preview"
payload = {
"dimension": "billing_account_name",
"costDistribution": {
"Production": 75,
"Staging": 25
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dimension: 'billing_account_name',
costDistribution: {Production: 75, Staging: 25}
})
};
fetch('https://api.nops.io/v1/cost-allocation/{id}/rules/dimension-preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/cost-allocation/{id}/rules/dimension-preview"
payload := strings.NewReader("{\n \"dimension\": \"billing_account_name\",\n \"costDistribution\": {\n \"Production\": 75,\n \"Staging\": 25\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"preview": [
{
"value": "Production",
"percent": 75,
"spend": 31575.66
},
{
"value": "Staging",
"percent": 25,
"spend": 10525.22
}
]
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Cost allocation
Percent distribution preview
POST
https://api.nops.io
/
v1
/
cost-allocation
/
{id}
/
rules
/
dimension-preview
Percent distribution preview
curl --request POST \
--url https://api.nops.io/v1/cost-allocation/{id}/rules/dimension-preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dimension": "billing_account_name",
"costDistribution": {
"Production": 75,
"Staging": 25
}
}
'import requests
url = "https://api.nops.io/v1/cost-allocation/{id}/rules/dimension-preview"
payload = {
"dimension": "billing_account_name",
"costDistribution": {
"Production": 75,
"Staging": 25
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dimension: 'billing_account_name',
costDistribution: {Production: 75, Staging: 25}
})
};
fetch('https://api.nops.io/v1/cost-allocation/{id}/rules/dimension-preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/cost-allocation/{id}/rules/dimension-preview"
payload := strings.NewReader("{\n \"dimension\": \"billing_account_name\",\n \"costDistribution\": {\n \"Production\": 75,\n \"Staging\": 25\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"preview": [
{
"value": "Production",
"percent": 75,
"spend": 31575.66
},
{
"value": "Staging",
"percent": 25,
"spend": 10525.22
}
]
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Was this page helpful?
⌘I